[arch-commits] Commit in db/trunk (PKGBUILD db.install)

Allan McRae allan at archlinux.org
Thu May 28 08:37:46 EDT 2009


    Date: Thursday, May 28, 2009 @ 08:37:46
  Author: allan
Revision: 40122

upgpkg: db 4.7.25.4-1
    bump upstream patch level, add sh dep for install script

Modified:
  db/trunk/PKGBUILD
  db/trunk/db.install

------------+
 PKGBUILD   |   35 ++++++++++++++++++-----------------
 db.install |    2 +-
 2 files changed, 19 insertions(+), 18 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-28 11:41:08 UTC (rev 40121)
+++ PKGBUILD	2009-05-28 12:37:46 UTC (rev 40122)
@@ -1,41 +1,42 @@
 # $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=db
-pkgver=4.7.25
-pkgrel=2
+pkgver=4.7.25.4
+_basever=4.7.25
+pkgrel=1
 pkgdesc="The Berkeley DB embedded database system"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
 license=('custom')
-url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
 groups=('base')
-depends=('gcc-libs')
+depends=('gcc-libs' 'sh')
 options=('!libtool')
-source=(http://download-uk.oracle.com/berkeley-db/db-$pkgver.tar.gz
+install=db.install
+source=(http://download-uk.oracle.com/berkeley-db/db-${_basever}.tar.gz
 	#post release upstream patches
-	# [#16406] Replication clients should be able to open a sequence.
 	http://www.oracle.com/technology/products/berkeley-db/db/update/4.7.25/patch.4.7.25.1
-	# [#16415] DB_ENV->lock_get may self deadlock if user defined locks are used and there is only one lock partition defined. 
 	http://www.oracle.com/technology/products/berkeley-db/db/update/4.7.25/patch.4.7.25.2
-	# [#16541] Fix for dd segfaults. 
-	http://www.oracle.com/technology/products/berkeley-db/db/update/4.7.25/patch.4.7.25.3)
-install=db.install
+	http://www.oracle.com/technology/products/berkeley-db/db/update/4.7.25/patch.4.7.25.3
+	http://www.oracle.com/technology/products/berkeley-db/db/update/4.7.25/patch.4.7.25.4)
 md5sums=('ec2b87e833779681a0c3a814aa71359e'
          '5fdf101259e5164dea1c8c86214fde38'
          'bd410a11c71fee52fddb6aa2d8d4f80c'
-         '6fcd69f64f5b34bfe8f0a63cc2e402c1')
+         '6fcd69f64f5b34bfe8f0a63cc2e402c1'
+         '26f2a29b3f5c5c56b39c6c414fef98e5')
 
 build() {
-  cd ${srcdir}/$pkgname-$pkgver
+  cd ${srcdir}/$pkgname-${_basever}
   patch -Np0 -i ${srcdir}/patch.4.7.25.1 || return 1
   patch -Np0 -i ${srcdir}/patch.4.7.25.2 || return 1
   patch -Np0 -i ${srcdir}/patch.4.7.25.3 || return 1
-  cd ${srcdir}/$pkgname-$pkgver/build_unix
+  patch -Np1 -i ${srcdir}/patch.4.7.25.4 || return 1
+  cd ${srcdir}/$pkgname-${_basever}/build_unix
   ../dist/configure --prefix=/usr --enable-compat185 \
     --enable-shared --enable-static --enable-cxx
   make LIBSO_LIBS=-lpthread || return 1
   make DESTDIR=${pkgdir} install
   rm -rf ${pkgdir}/usr/docs
-  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 ${srcdir}/${pkgname}-${pkgver}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  install -Dm644 ${srcdir}/${pkgname}-${_basever}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }

Modified: db.install
===================================================================
--- db.install	2009-05-28 11:41:08 UTC (rev 40121)
+++ db.install	2009-05-28 12:37:46 UTC (rev 40122)
@@ -1,5 +1,5 @@
 post_upgrade() {
   echo "ATTENTION DB PACKAGE:"
-  echo  "Please consider to run db_upgrade on Berkeley DB databases with a major db version number update."
+  echo "Please consider to run db_upgrade on Berkeley DB databases with a major db version number update."
 }
 



More information about the arch-commits mailing list